POST gls/api/reports/changes-in-equity
Request Information
URI Parameters
None.
Body Parameters
ChangesInEquityRequestDto| Name | Description | Type | Additional information |
|---|---|---|---|
| CutOffDate | date |
None. |
|
| IsMonthly | boolean |
None. |
|
| IsYearly | boolean |
None. |
|
| TemplateCode | string |
None. |
|
| OutputToScreen | boolean |
None. |
|
| OutputToPrinter | boolean |
None. |
|
| UserId | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"cutOffDate": "2026-04-07T22:21:56.7798998+08:00",
"isMonthly": true,
"isYearly": true,
"templateCode": "sample string 3",
"outputToScreen": true,
"outputToPrinter": true,
"userId": 1
}
application/xml, text/xml
Sample:
<ChangesInEquityRequestDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/CPCI.Reports.Services.DTO"> <CutOffDate>2026-04-07T22:21:56.7798998+08:00</CutOffDate> <IsMonthly>true</IsMonthly> <IsYearly>true</IsYearly> <OutputToPrinter>true</OutputToPrinter> <OutputToScreen>true</OutputToScreen> <TemplateCode>sample string 3</TemplateCode> <UserId>1</UserId> </ChangesInEquityRequestDto>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.